Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Instalação do KDE 4
View unanswered posts
View posts from last 24 hours
View posts from last 7 days

 
Reply to topic    Gentoo Forums Forum Index Portuguese
View previous topic :: View next topic  
Author Message
walbon
n00b
n00b


Joined: 06 Jun 2005
Posts: 18

PostPosted: Sun May 04, 2008 2:55 am    Post subject: Instalação do KDE 4 Reply with quote

Antes tentei usar o layman para instalar o KDE4, porém como saiu no portage já eu desci usar o emerge para instalar o KDE 4.
A versão que estou tentando é o KDE 4.0.3, mas agora o problema é que na hora de compilar o kwin-4.0.3 ele acusa a falta do OpenGL na compilação do qt:4 com a flag opengl, porém já tentei mas ele parece que dá um erro no meio.

Code:

 emerge  --buildpkg --usepkg =kwin-4.0.3
Calculating dependencies... done!
>>> Verifying ebuild Manifests...

>>> Emerging (1 of 1) kde-base/kwin-4.0.3 to /
 * kdebase-workspace-4.0.3.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                                                   [ ok ]
 * checking ebuild checksums ;-) ...                                                                                 [ ok ]
 * checking auxfile checksums ;-) ...                                                                                [ ok ]
 * checking miscfile checksums ;-) ...                                                                               [ ok ]
 * checking kdebase-workspace-4.0.3.tar.bz2 ;-) ...                                                                  [ ok ]
 * This package requires 'x11-libs/qt:4' to be built with the following USE flags: 'accessibility dbus gif jpeg opengl* png qt3support ssl zlib'.

 * Flags marked with an * are missing.
 *
 * ERROR: kde-base/kwin-4.0.3 failed.
 * Call stack:
 *               ebuild.sh, line 1717:  Called dyn_setup
 *               ebuild.sh, line  768:  Called qa_call 'pkg_setup'
 *               ebuild.sh, line   44:  Called pkg_setup
 *               ebuild.sh, line 1383:  Called kde4-meta_pkg_setup
 *        kde4-meta.eclass, line  134:  Called kde4-base_pkg_setup
 *        kde4-base.eclass, line  329:  Called kde4-functions_check_use
 *   kde4-functions.eclass, line  516:  Called die
 * The specific snippet of code:
 *              die "Missing USE flags found"
 *  The die message:
 *   Missing USE flags found
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/cache/portage/kde-base/kwin-4.0.3/temp/build.log'.
 *


Code:


/cache/portage/kde-base/kwin-4.0.3/work/kwin_build/kwin/kcmkwin/kwinrules/ruleswidget.moc: In member function ‘virtual int KWin::RulesWidget::qt_metacall(QMetaObject::Call, int, void**)’:
/cache/portage/kde-base/kwin-4.0.3/work/kwin_build/kwin/kcmkwin/kwinrules/ruleswidget.moc:121: error: ‘RulesWidgetBase’ has not been declared
/cache/portage/kde-base/kwin-4.0.3/work/kwin_build/kwin/kcmkwin/kwinrules/ruleswidget.moc: In member function ‘void KWin::RulesWidget::changed(bool)’:
/cache/portage/kde-base/kwin-4.0.3/work/kwin_build/kwin/kcmkwin/kwinrules/ruleswidget.moc:172: error: no matching function for call to ‘QMetaObject::activate(KWin::RulesWidget* const, const QMetaObject*, int, void* [2])’
/usr/include/qt4/QtCore/qobjectdefs.h:307: note: candidates are: static void QMetaObject::activate(QObject*, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:308: note:                 static void QMetaObject::activate(QObject*, int, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:309: note:                 static void QMetaObject::activate(QObject*, const QMetaObject*, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:310: note:                 static void QMetaObject::activate(QObject*, const QMetaObject*, int, int, void**)
make[2]: *** [kwin/kcmkwin/kwinrules/CMakeFiles/kcm_kwinrules.dir/ruleswidget.o] Error 1
make[1]: *** [kwin/kcmkwin/kwinrules/CMakeFiles/kcm_kwinrules.dir/all] Error 2
make: *** [all] Error 2
 *
 * ERROR: kde-base/kwin-4.0.3 failed.
 * Call stack:
 *            ebuild.sh, line 1701:  Called dyn_compile
 *            ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *            ebuild.sh, line   44:  Called src_compile
 *    kwin-4.0.3.ebuild, line   43:  Called kde4-meta_src_compile
 *     kde4-meta.eclass, line  323:  Called kde4-meta_src_make
 *     kde4-meta.eclass, line  466:  Called kde4-base_src_make
 *     kde4-base.eclass, line  479:  Called cmake-utils_src_make
 *   cmake-utils.eclass, line  150:  Called die
 * The specific snippet of code:
 *              emake "$@" || die "Make failed!"
 *  The die message:
 *   Make failed!
 *
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/cache/portage/kde-base/kwin-4.0.3/temp/build.log'.
 *



Ao tentar compilar o qt:4 dá o seguinte no pretend
Code:

USE="jpeg jpeg2k gif png opengl" emerge -vp qt:4

These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild   R   ] x11-libs/qt-4.3.3  USE="accessibility gif jpeg mysql opengl* png qt3support ssl zlib -cups -dbus* -debug -doc -examples -firebird -glib -mng -nas -nis -odbc -pch -postgres -sqlite -sqlite3 -tiff -xinerama" INPUT_DEVICES="-wacom" 0 kB

Total: 1 package (1 reinstall), Size of downloads: 0 kB

O opengl fica com este * que não sei o que significa.


Até hoje não achei ninguém com um erro parecido com o meu,... na verdade achei, só que não achei a solução.
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4726
Location: Angra do Heroísmo (PT)

PostPosted: Sun May 04, 2008 3:58 am    Post subject: Reply with quote

Moved from Desktop Environments to Portuguese.

[mod]Since the post is in Portuguese, I've moved the thread to the Portuguese Forum[/mod]

Todos os posts fora dos Foruns internacionais devem ser feitos em Inglês.

Como a mensagem de erro indica, tem que voltar a compilar o qt:4 com a use opengl. O emerge -pv qt:4 não acusa nenhum erro. Não faça nunca nenhum emerge com as USE flags especificadas na linha de comando. A próxima vez que fizer emerge a esse pacote, perde essas alterações. Altere as USE flags no /etc/make.conf ou melhor ainda no /etc/portage/package.use/*.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
walbon
n00b
n00b


Joined: 06 Jun 2005
Posts: 18

PostPosted: Tue May 06, 2008 5:28 pm    Post subject: Reply with quote

jmbsvicetto wrote:

Como a mensagem de erro indica, tem que voltar a compilar o qt:4 com a use opengl. O emerge -pv qt:4 não acusa nenhum erro. Não faça nunca nenhum emerge com as USE flags especificadas na linha de comando. A próxima vez que fizer emerge a esse pacote, perde essas alterações. Altere as USE flags no /etc/make.conf ou melhor ainda no /etc/portage/package.use/*.


Recompilei o Qt:4 sem a flag opengl, porém o problema persiste quand eu vou compilar o startkde
Code:

emerge  --buildpkg --usepkg =kdebase-startkde-4.0.3

/usr/include/qt4/QtCore/qobjectdefs.h:307: note: candidates are: static void QMetaObject::activate(QObject*, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:308: note:                 static void QMetaObject::activate(QObject*, int, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:309: note:                 static void QMetaObject::activate(QObject*, const QMetaObject*, int, void**)
/usr/include/qt4/QtCore/qobjectdefs.h:310: note:                 static void QMetaObject::activate(QObject*, const QMetaObject*, int, int, void**)
make[2]: *** [kwin/kcmkwin/kwinrules/CMakeFiles/kcm_kwinrules.dir/ruleswidget.o] Error 1
make[1]: *** [kwin/kcmkwin/kwinrules/CMakeFiles/kcm_kwinrules.dir/all] Error 2
make: *** [all] Error 2
 *
 * ERROR: kde-base/kwin-4.0.3 failed.
 * Call stack:
 *            ebuild.sh, line 1701:  Called dyn_compile
 *            ebuild.sh, line 1039:  Called qa_call 'src_compile'
 *            ebuild.sh, line   44:  Called src_compile
 *    kwin-4.0.3.ebuild, line   43:  Called kde4-meta_src_compile
 *     kde4-meta.eclass, line  323:  Called kde4-meta_src_make
 *     kde4-meta.eclass, line  466:  Called kde4-base_src_make
 *     kde4-base.eclass, line  479:  Called cmake-utils_src_make
 *   cmake-utils.eclass, line  150:  Called die
 * The specific snippet of code:
 *              emake "$@" || die "Make failed!"
 *  The die message:
 *   Make failed!
Back to top
View user's profile Send private message
jmbsvicetto
Moderator
Moderator


Joined: 27 Apr 2005
Posts: 4726
Location: Angra do Heroísmo (PT)

PostPosted: Sun May 11, 2008 11:10 pm    Post subject: Reply with quote

walbon wrote:
jmbsvicetto wrote:

Como a mensagem de erro indica, tem que voltar a compilar o qt:4 com a use opengl. O emerge -pv qt:4 não acusa nenhum erro. Não faça nunca nenhum emerge com as USE flags especificadas na linha de comando. A próxima vez que fizer emerge a esse pacote, perde essas alterações. Altere as USE flags no /etc/make.conf ou melhor ainda no /etc/portage/package.use/*.


Recompilei o Qt:4 sem a flag opengl, porém o problema persiste quand eu vou compilar o startkde

Tem que compilar com e não sem a use flag opengl.
_________________
Jorge.

Your twisted, but hopefully friendly daemon.
AMD64 / x86 / Sparc Gentoo
Help answer || emwrap.sh
Back to top
View user's profile Send private message
walbon
n00b
n00b


Joined: 06 Jun 2005
Posts: 18

PostPosted: Mon May 12, 2008 1:33 am    Post subject: Reply with quote

jmbsvicetto wrote:
Tem que compilar com e não sem a use flag opengl.


Como assim com a flag? Eu já usei as opções USE="-opengl" e USE="opengl", e até coloquei no package.use o opengl.
Back to top
View user's profile Send private message
baldeante
Guru
Guru


Joined: 17 Jan 2004
Posts: 498
Location: Caldas da Rainha, Portugal

PostPosted: Mon May 12, 2008 9:29 pm    Post subject: Reply with quote

walbon wrote:
jmbsvicetto wrote:
Tem que compilar com e não sem a use flag opengl.


Como assim com a flag? Eu já usei as opções USE="-opengl" e USE="opengl", e até coloquei no package.use o opengl.


Eu sugeria que adiciona-se a flag "opengl" a linha use do ficheiro /etc/make.conf desta forma todos os pacotes que instala-se e tenham necessidade desta flag iriam utiliza-la.

Depois de colocar a flag na linha use recomendo o comando emerge -uD --newuse world desta forma todos os pacotes e suas dependências que pudessem ter de ser recompilados com a nova flag seriam recompilados possivelmente ate lhe resolve a questão.

Eu presumo que o kde utilize o qt mas como não uso o kde a muito tempo não posso garantir se assim for emerge -uD --newuse kde vai instalar todas as dependências do KDE incluindo o qt se colocar a flag na linha use tanto o qt como o kde vão utilizar a flag opengl se dela necessitarem ...

Recomendo também a instalação do pacote gentoolkit e a utilização do comando revdep-rebuild que faz parte do gentoolkit para resolver qualquer possível problema com bibliotecas danificadas.
_________________
Never Quit, Never Get Mad, Get Even
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portuguese All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum